def draw():
	global x, xFlappy, yFlappy, xPillar, yPillar, yPillarBelow, correct, wrong
	background.move(x, 0)
	x = x - 4
	if x < -background.width() / 2:
		x = 0	# Background from start position
	
	# Flappy
	###############################
	if c.keyIsPressed() == True:
		if  c.keyCode() == UP:
			yFlappy = yFlappy - 5
		elif c.keyCode() == DOWN:
			yFlappy = yFlappy + 5

	flappy.move(xFlappy, yFlappy)

	# Pillars
	################################
	if xPillar < 0:
		xPillar = c.width()
		yPillarBelow = random(100, c.height() - 100)

	pillarAbove.move(xPillar, 0)
	pillarAbove.resize(20, yPillarBelow-100)
	pillarBelow.move(xPillar, yPillarBelow)
	pillarBelow.resize(20, 600 - yPillarBelow)

	xPillar = xPillar - 5
	
	# Hit test
	#################################
	if xFlappy >= xPillar and xFlappy <= xPillar + 5:
		if yFlappy >= yPillarBelow-100 and yFlappy <= yPillarBelow-flappy.height():
			correct = correct + 1
		else:
			wrong = wrong + 1
			
		text.text(f"good {correct} / bad {wrong}")

c = Canvas()

c.timer(draw)

# Background
x = 0 
background = c.image("C:\Images\Background.png")
c.height(background.height())
c.width(background.width() / 2)

# Flappy
yFlappy = background.height() / 2
xFlappy = background.width() / 2 / 2
flappy = c.image("C:\Images\Flappy.png", xFlappy, yFlappy)

# Pillars
xPillar = -1
yPillarBelow = 0

c.rectMode(CORNER)
pillarAbove = c.rect() 
pillarBelow = c.rect()

wrong = 0
correct = 0
text = c.text("");
